package com.happy.service;

import com.happy.Model.Booking;
import com.happy.Model.weixin.Users;
import com.happy.Until.Enum.TempEnum;
import com.happy.dto.IPage;
import com.happy.vo.UnevaluatedOrder;

import java.util.List;

public interface UserService {

    public int insert(Users users);

    // 修改信息
    public int update(Users users);

    public int del(int id);

    public Users queryByNum(String card_number);

    public int updateOpenid(String openid,String card_number);

    /**
     * 通过openid查用户数据
     * @param openid
     * @return
     */
    public Users queryByOpenid(String openid);

    /**
     * 通过userId查用户数据
     * @param userId
     * @return
     */
    public Users queryByUserId(String userId);

    public int queryUserTotal(String sqlStr);

    public IPage<Users> queryUserPage(String sqlx, int page, int rows);

    /**
     * 收藏或住过酒店
     * @param hotelId
     * @param userId
     * @param type
     * @return
     */
    Users addhotelAndUsers(String hotelId, String userId, TempEnum type);

    /**
     * 取消 收藏或取消住过酒店
     * @param hotelId
     * @param userId
     * @param type
     * @return
     */
    Users delhotelAndUsers(String hotelId, String userId, TempEnum type);

    /**
     * 通过酒店id,用户id判断酒店是否收藏
     * @param hotelId1
     * @param createId1
     * @return
     */
    UnevaluatedOrder collect(String hotelId1, Integer createId1);
}
